GNU bug report logs - #50340
Fix remote-location in vc-git-log-incoming

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; Keywords: patch; dated Thu, 2 Sep 2021 16:18:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50340 <at> debbugs.gnu.org:


Received: (at 50340) by debbugs.gnu.org; 19 Oct 2021 19:19:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 19 15:19:22 2021
Received: from localhost ([127.0.0.1]:52036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcudt-0005zK-RC
	for submit <at> debbugs.gnu.org; Tue, 19 Oct 2021 15:19:21 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:49921)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mcudr-0005z5-GW
 for 50340 <at> debbugs.gnu.org; Tue, 19 Oct 2021 15:19:20 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id A6E55240003;
 Tue, 19 Oct 2021 19:19:11 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#50340: Fix remote-location in vc-git-log-incoming
Organization: LINKOV.NET
References: <87k0jz9clq.fsf@HIDDEN>
 <a113e085-a078-bd95-c8f0-13df3f1e82de@HIDDEN>
 <87o89aaxhj.fsf@HIDDEN>
 <63fb440c-a393-541d-2f92-fe28130c899e@HIDDEN>
 <875yvfurkp.fsf@HIDDEN> <87pms0c08t.fsf@HIDDEN>
Date: Tue, 19 Oct 2021 22:16:32 +0300
In-Reply-To: <87pms0c08t.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 19 Oct 2021 20:56:02 +0200")
Message-ID: <87pms06d0v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50340
Cc: 50340 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> This was a month ago, and skimming it, it wasn't clear to me what the
> status here was -- whether this should be worked more on, or whether
> Juri's fix should be pushed.

This requires more design decisions that could be implemented for Emacs 29
together with more vc features like new branch commands,
in other feature requests, diff-goto-line, etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50340; Package emacs. Full text available.

Message received at 50340 <at> debbugs.gnu.org:


Received: (at 50340) by debbugs.gnu.org; 19 Oct 2021 18:56:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 19 14:56:15 2021
Received: from localhost ([127.0.0.1]:52017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcuHX-0003HN-8i
	for submit <at> debbugs.gnu.org; Tue, 19 Oct 2021 14:56:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mcuHU-0003H8-Gy
 for 50340 <at> debbugs.gnu.org; Tue, 19 Oct 2021 14:56:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RAIYMnrs4Nfo+UIInw/lTpPi/7WWvLRX3aGh6AejmTc=; b=NNBIOi1TRNL4htJyB6ec7BZoV1
 Fvkfq97yIyjEBpEjCAx9JA9kD0y5Rez5A1EVqsikkTppYDilRNHm3kCdP7DlHOTfOVXlI2GGycF1y
 nL95P/OBJJS9Sc3Te0VPcnApI9Fx+W3CXV5Yr0kWvVn+tpN423aBNb9SEYZHQnW3UL08=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mcuHL-000084-4t; Tue, 19 Oct 2021 20:56:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50340: Fix remote-location in vc-git-log-incoming
References: <87k0jz9clq.fsf@HIDDEN>
 <a113e085-a078-bd95-c8f0-13df3f1e82de@HIDDEN>
 <87o89aaxhj.fsf@HIDDEN>
 <63fb440c-a393-541d-2f92-fe28130c899e@HIDDEN>
 <875yvfurkp.fsf@HIDDEN>
X-Now-Playing: Archie Shepp's _Live in Paris_: "Things Have Got To Change"
Date: Tue, 19 Oct 2021 20:56:02 +0200
In-Reply-To: <875yvfurkp.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 05 Sep 2021 19:36:54 +0300")
Message-ID: <87pms0c08t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: >> But this means that
 my fix worked, because in vc-git-log-incoming >> I fixed the first command
 `git fetch`, but it fails in your case >> in the second command `git log
 HEAD..upstream`. > > If it wo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50340
Cc: 50340 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> But this means that my fix worked, because in vc-git-log-incoming
>> I fixed the first command `git fetch`, but it fails in your case
>> in the second command `git log HEAD..upstream`.
>
> If it works for you, go ahead. I just couldn't make the command work
> (patched or not) with either of the projects I tried it on.

[...]

> I'm not sure. This should work for every backend where log-outgoing
> and log-incoming work, right?
>
> Do remotes feature in branch names the same way in Git, Hg and Bzr?

This was a month ago, and skimming it, it wasn't clear to me what the
status here was -- whether this should be worked more on, or whether
Juri's fix should be pushed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50340; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50340 <at> debbugs.gnu.org:


Received: (at 50340) by debbugs.gnu.org; 5 Sep 2021 19:28:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 05 15:28:49 2021
Received: from localhost ([127.0.0.1]:51070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMxov-0003or-7n
	for submit <at> debbugs.gnu.org; Sun, 05 Sep 2021 15:28:49 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:41576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mMxot-0003oc-18
 for 50340 <at> debbugs.gnu.org; Sun, 05 Sep 2021 15:28:47 -0400
Received: by mail-wr1-f49.google.com with SMTP id u9so6497609wrg.8
 for <50340 <at> debbugs.gnu.org>; Sun, 05 Sep 2021 12:28:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=N2bK31hqvey5HCxqYkOfKQKYQwaYo3m8+EKwijsA/AY=;
 b=J4WffRys0xD7BC2FPB8uChPf4i08I9AeHRenfzgLE41zPCXCz6kLSkzXOWs8osf/DW
 AiOqdQppOymf1hGez5fiT576gHbjnLLYydWT1LyTsbevkd2p/hCrcZmN06N2Ql1DSZQ5
 hRotxo72WkYyGr2BAoBdbhtyAtbk02zMDxfTHQP14ITLXRt6LY/p26ISOgtP633xv8s/
 byHKb0W5+OnZ2gsM/LjiMHGtr9K8QNS7T/2DQoGbvU4sjXxIaQi6Y8t0px6bURiIeTbm
 wSK9Ou86CCkEEQIGtd6FnPFvA3YYtZl7ZVMPcxN7Ks6O9wN8E6dtQe9ac2CfRZyeqnUm
 GEyA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=N2bK31hqvey5HCxqYkOfKQKYQwaYo3m8+EKwijsA/AY=;
 b=LwncecIYvDGgR1kuCgl6i5KAbG/L7mhpJaz6tgMt6MWOOw0Yw8wKaeePHnr4EDwHUS
 jo9PR9d6/sTTTAD8XWdieQ9JoOGJnXu2TRhFTL47KI9oi8vhcH0JBi+VZV6M8qrVwMXJ
 MTODtpgR2W+uZtFxVz4XNZAjCuuf4YAHyHtdoHm8RSAODKTJQ08IpF/nh7cY/yUxReqc
 fooqPfWQvpjXZDdRXmqaLUK+ptNrOVdil5mW4rgpe7Wjy/vD2f89zLeGi1Mxr3+/Ldvb
 2tqm7dH8irbRRhopzMcwq2enaFZWzPVTG6uUPJQM/KAbecmZvRGqJa61FrAPGtBhll0J
 p6sQ==
X-Gm-Message-State: AOAM532n55nLVHJBXlAJAkLVxl/5/PqoEBonXMdTJPHp4GYz989qXd/8
 9L9UwchHFYuy+yoO/say1zaDa++yZNg=
X-Google-Smtp-Source: ABdhPJyk4/sUoWswb27aNYSNTaarP5vxFQuPWINNqgsPcaHJlKgV9VIu9yVpD7l9AkrBwLIyH0Zu2Q==
X-Received: by 2002:adf:eac3:: with SMTP id o3mr9792714wrn.60.1630870121403;
 Sun, 05 Sep 2021 12:28:41 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id x11sm5755116wro.83.2021.09.05.12.28.40
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 05 Sep 2021 12:28:41 -0700 (PDT)
Subject: Re: bug#50340: Fix remote-location in vc-git-log-incoming
To: Juri Linkov <juri@HIDDEN>
References: <87k0jz9clq.fsf@HIDDEN>
 <a113e085-a078-bd95-c8f0-13df3f1e82de@HIDDEN>
 <87o89aaxhj.fsf@HIDDEN>
 <63fb440c-a393-541d-2f92-fe28130c899e@HIDDEN>
 <875yvfurkp.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <0073fec5-a6f7-1108-02ee-ab9d9ba38d33@HIDDEN>
Date: Sun, 5 Sep 2021 22:28:39 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <875yvfurkp.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50340
Cc: 50340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 05.09.2021 19:36, Juri Linkov wrote:

>> Ah, I see what you are referring to.
>>
>> But does the feature work then?
>>
>> With your patch, I can pass some alternative upstream to the command, and
>> it fails at the end with something like:
>>
>> fatal: ambiguous argument 'HEAD..upstream': unknown revision or path not in
>> the working tree.
>> Use '--' to separate paths from revisions, like this:
>> 'git <command> [<revision>...] -- [<file>...]'
> 
> But this means that my fix worked, because in vc-git-log-incoming
> I fixed the first command `git fetch`, but it fails in your case
> in the second command `git log HEAD..upstream`.

If it works for you, go ahead. I just couldn't make the command work 
(patched or not) with either of the projects I tried it on.

>>>> So if you have a stable repro (some alternative completing-read-function?),
>>>> you can go ahead and install.
>>> Regarding the default completing-read-function, the prompt of 'C-u C-x v I'
>>> doesn't provide completion on remote names.  Maybe this should be improved
>>> as well.
>>
>> I guess some new backend action ('remote-locations'?) could help with that.
> 
> Would be nice.  Maybe just 'vc-read-revision' can be used,
> but by removing branch names after the slash in "upstream/branch",
> then uniquify remaining upstream names.

I'm not sure. This should work for every backend where log-outgoing and 
log-incoming work, right?

Do remotes feature in branch names the same way in Git, Hg and Bzr?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50340; Package emacs. Full text available.

Message received at 50340 <at> debbugs.gnu.org:


Received: (at 50340) by debbugs.gnu.org; 5 Sep 2021 16:42:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 05 12:42:02 2021
Received: from localhost ([127.0.0.1]:50883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMvDW-0008EL-6D
	for submit <at> debbugs.gnu.org; Sun, 05 Sep 2021 12:42:02 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:6293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mMvDU-0008Dp-FL
 for 50340 <at> debbugs.gnu.org; Sun, 05 Sep 2021 12:42:00 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 05661240002;
 Sun,  5 Sep 2021 16:41:52 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50340: Fix remote-location in vc-git-log-incoming
Organization: LINKOV.NET
References: <87k0jz9clq.fsf@HIDDEN>
 <a113e085-a078-bd95-c8f0-13df3f1e82de@HIDDEN>
 <87o89aaxhj.fsf@HIDDEN>
 <63fb440c-a393-541d-2f92-fe28130c899e@HIDDEN>
Date: Sun, 05 Sep 2021 19:36:54 +0300
In-Reply-To: <63fb440c-a393-541d-2f92-fe28130c899e@HIDDEN> (Dmitry Gutov's
 message of "Sat, 4 Sep 2021 04:50:35 +0300")
Message-ID: <875yvfurkp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50340
Cc: 50340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>> -  (vc-git-command nil 0 nil "fetch")
>>>> +  (vc-git-command nil 0 nil "fetch" (unless (string= remote-location "")
>>>> +                                      remote-location))
>>>
>>> I'm not sure which scenario this fixes (pressing RET after 'C-u C-x v I'
>>> works fine here), but it shouldn't hurt either.
>> It fixes the scenario with a non-default remote.  Could you try 'C-u C-x v I'
>> and typing the name of a non-default remote in a repo with two remotes?
>> I wonder if it already worked, and maybe I have some misconfiguration.
>
> Ah, I see what you are referring to.
>
> But does the feature work then?
>
> With your patch, I can pass some alternative upstream to the command, and
> it fails at the end with something like:
>
> fatal: ambiguous argument 'HEAD..upstream': unknown revision or path not in
> the working tree.
> Use '--' to separate paths from revisions, like this:
> 'git <command> [<revision>...] -- [<file>...]'

But this means that my fix worked, because in vc-git-log-incoming
I fixed the first command `git fetch`, but it fails in your case
in the second command `git log HEAD..upstream`.

>>> So if you have a stable repro (some alternative completing-read-function?),
>>> you can go ahead and install.
>> Regarding the default completing-read-function, the prompt of 'C-u C-x v I'
>> doesn't provide completion on remote names.  Maybe this should be improved
>> as well.
>
> I guess some new backend action ('remote-locations'?) could help with that.

Would be nice.  Maybe just 'vc-read-revision' can be used,
but by removing branch names after the slash in "upstream/branch",
then uniquify remaining upstream names.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50340; Package emacs. Full text available.

Message received at 50340 <at> debbugs.gnu.org:


Received: (at 50340) by debbugs.gnu.org; 4 Sep 2021 01:50:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 21:50:45 2021
Received: from localhost ([127.0.0.1]:46179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMKpR-0001Ht-50
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 21:50:45 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:46068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mMKpP-0001Hh-L2
 for 50340 <at> debbugs.gnu.org; Fri, 03 Sep 2021 21:50:44 -0400
Received: by mail-wm1-f50.google.com with SMTP id
 j17-20020a05600c1c1100b002e754875260so621634wms.4
 for <50340 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 18:50:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=U5L2GPc+ohnMZ9sg+8AfGBnFcINnac8K9szCBkK4a2c=;
 b=UjzSK5xNx6sYwxwCGQnC6nOV8pJkXuTbtgeKSCRU0vb3ZFXTn5HXf/RS4zfhUetZG/
 yjNPBRCWkRYl7dNOGWqITY4yk+EQoFnsueQJHW1lacOf+L3cgUKqZyA2XjhUKkj8kkuv
 VW3FOMKXhYjLzIlONWhBmy+p+UUw91DkiCPHfbYp8uCl+BwBuVHqCcWhdBA8K3itZ1dw
 hxu0Q/oeeQoMeZRyzrIEbn+K7ppTt+/o/aXY103y/pBp+lKQskE+BBQlCrNbB+mgzS+e
 tU38tD4nlBH/XR7vSI489FFWXkz5YxlJohPhQgrGrIlA5rmn+yZAEsTRloOgk997T0PS
 /9RA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=U5L2GPc+ohnMZ9sg+8AfGBnFcINnac8K9szCBkK4a2c=;
 b=XgYKZIA93uIywlWgSj8dL0yPeKZQpslMU4cUWGGqSCTAP890eOihhwZ2ZmPTUgD2R9
 FeV3zZhOJ8SArc8vjGjHHenr4oPpXxfa/MGUMtZHMqCLMOK+vSyU80NHvzgrFKaDljJh
 YAD0TybzuwUF4i5uQZorkzDGJa9LALgMday2f1z9JSaUzVXUxeHgjEZRyv/C0rC7NWqz
 YEDsut5GsxcVZIhWqDcXsAtUusaC67Z3gnpMc0oq5kiSmne3mhoJwWTet1p9k69C7O9u
 C89WSuKPeg2peLSB9Mjoe32AaJdoTcJxAAv0cZB7tNXgfw6catQ/FEUcfyE0ttSxQpxE
 FLXQ==
X-Gm-Message-State: AOAM53332ekXFvVhJ8tHNgCXFp7f5xVyMqsJMZPg0rt+3pJwnJsMD0oA
 lFTHX1mjAhW7He/kW9Dn3Dk/tVaC5o0=
X-Google-Smtp-Source: ABdhPJyPLaYuvsYFtuoJC0+0ZV78upZXy5ZK7d5KmnVZi9VN29nFlzgfo47U/qwlObdOkHGvKFs+0A==
X-Received: by 2002:a7b:c745:: with SMTP id w5mr1255538wmk.17.1630720237660;
 Fri, 03 Sep 2021 18:50:37 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id j18sm796536wrd.56.2021.09.03.18.50.36
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 03 Sep 2021 18:50:37 -0700 (PDT)
Subject: Re: bug#50340: Fix remote-location in vc-git-log-incoming
To: Juri Linkov <juri@HIDDEN>
References: <87k0jz9clq.fsf@HIDDEN>
 <a113e085-a078-bd95-c8f0-13df3f1e82de@HIDDEN>
 <87o89aaxhj.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <63fb440c-a393-541d-2f92-fe28130c899e@HIDDEN>
Date: Sat, 4 Sep 2021 04:50:35 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87o89aaxhj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50340
Cc: 50340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 03.09.2021 11:12, Juri Linkov wrote:
>>> -  (vc-git-command nil 0 nil "fetch")
>>> +  (vc-git-command nil 0 nil "fetch" (unless (string= remote-location "")
>>> +                                      remote-location))
>>
>> I'm not sure which scenario this fixes (pressing RET after 'C-u C-x v I'
>> works fine here), but it shouldn't hurt either.
> 
> It fixes the scenario with a non-default remote.  Could you try 'C-u C-x v I'
> and typing the name of a non-default remote in a repo with two remotes?
> I wonder if it already worked, and maybe I have some misconfiguration.

Ah, I see what you are referring to.

But does the feature work then?

With your patch, I can pass some alternative upstream to the command, 
and it fails at the end with something like:

fatal: ambiguous argument 'HEAD..upstream': unknown revision or path not 
in the working tree.
Use '--' to separate paths from revisions, like this:
'git <command> [<revision>...] -- [<file>...]'

>> So if you have a stable repro (some alternative completing-read-function?),
>> you can go ahead and install.
> 
> Regarding the default completing-read-function, the prompt of 'C-u C-x v I'
> doesn't provide completion on remote names.  Maybe this should be improved
> as well.

I guess some new backend action ('remote-locations'?) could help with that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50340; Package emacs. Full text available.

Message received at 50340 <at> debbugs.gnu.org:


Received: (at 50340) by debbugs.gnu.org; 3 Sep 2021 08:19:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 04:19:11 2021
Received: from localhost ([127.0.0.1]:42849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mM4Pn-00086R-Bi
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 04:19:11 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:36369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mM4Pg-00085q-SP
 for 50340 <at> debbugs.gnu.org; Fri, 03 Sep 2021 04:19:09 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 7DB2DC0010;
 Fri,  3 Sep 2021 08:18:57 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50340: Fix remote-location in vc-git-log-incoming
Organization: LINKOV.NET
References: <87k0jz9clq.fsf@HIDDEN>
 <a113e085-a078-bd95-c8f0-13df3f1e82de@HIDDEN>
Date: Fri, 03 Sep 2021 11:12:40 +0300
In-Reply-To: <a113e085-a078-bd95-c8f0-13df3f1e82de@HIDDEN> (Dmitry Gutov's
 message of "Fri, 3 Sep 2021 02:29:52 +0300")
Message-ID: <87o89aaxhj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50340
Cc: 50340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> -  (vc-git-command nil 0 nil "fetch")
>> +  (vc-git-command nil 0 nil "fetch" (unless (string= remote-location "")
>> +                                      remote-location))
>
> I'm not sure which scenario this fixes (pressing RET after 'C-u C-x v I'
> works fine here), but it shouldn't hurt either.

It fixes the scenario with a non-default remote.  Could you try 'C-u C-x v I'
and typing the name of a non-default remote in a repo with two remotes?
I wonder if it already worked, and maybe I have some misconfiguration.

> So if you have a stable repro (some alternative completing-read-function?),
> you can go ahead and install.

Regarding the default completing-read-function, the prompt of 'C-u C-x v I'
doesn't provide completion on remote names.  Maybe this should be improved
as well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50340; Package emacs. Full text available.

Message received at 50340 <at> debbugs.gnu.org:


Received: (at 50340) by debbugs.gnu.org; 2 Sep 2021 23:30:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 19:30:02 2021
Received: from localhost ([127.0.0.1]:42333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLw9h-000512-SN
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 19:30:02 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:33688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mLw9g-00050q-F0
 for 50340 <at> debbugs.gnu.org; Thu, 02 Sep 2021 19:30:00 -0400
Received: by mail-wr1-f43.google.com with SMTP id b10so5548921wru.0
 for <50340 <at> debbugs.gnu.org>; Thu, 02 Sep 2021 16:30:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=DVqXIZRVGLtOvR6OeRVxupSlsX1SfyBh5dMQzDjJ8OU=;
 b=SHU3Wl7b6LSresiYe9bOOuyySt3LDobakfYRQbv8TLTjskAIipiUQVNZSPeDbghi0S
 GYNGY2gVpQlZyiRimrrvU5wuUvbMjQdfthSnb97+wH/g9AkgWN+Ch3bdjWa7pPbPY8U7
 TUKq8gd2t6gHEE2RK8mLVKO+4K7aneH5G3G4Y72fW2zsPpdho3QUSJHvjjAQ64KPBdU/
 CpDiJIFJa2q6gwg8xMQXlS+63bj6MwoGZAfal2DjoMTKiNqCeoRuzuuqUGdbhY+5823v
 acWTReIlXTJKKtghCPkMBwCYWAxkfsdMeZDNZQvZSpWt/qkqEscKRe4OxVcNEmdopgxB
 UW4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=DVqXIZRVGLtOvR6OeRVxupSlsX1SfyBh5dMQzDjJ8OU=;
 b=ltBNZn7qfN5RZovO0jwwaAFRAUtWlSCgy00vyMA0nyKxmvENMdxbiHV4nhPZdpmLXh
 sBkTkwS1gjoZNwYxoJLNUhLAW7Y1w7hqqteT2GbUNngVf2aOuQIYEMmcQe8Obt3qcima
 kx24VEXgNGJAY1nDIy9cNfnadepey60IXgSWMBCFFANdTLCeyuT9aciTZMoK0kozI3MQ
 n/zi5vNubxeaX7LuoiCaorQjcfuTft1Z2Om9Gcbndlm3ZacyFvqOAx92wD7TzBT16qB7
 4itBK+5QTGo+yyflf6LsujOeBCMelx0SMHboyBkzf2zmzB646N6kCizpKT1OtAYOJwqt
 EDsg==
X-Gm-Message-State: AOAM530spjzQlxCSKXZpoMqRh48v0FgetxztqJAr5exmrmC8MwH64Xej
 NaIg9EYlKp4QXnr7PCg+HUYosaVaeWQ=
X-Google-Smtp-Source: ABdhPJxu80NT6bfVL385hI+dUPOgwS7p4hc+CpPGjIEd9HxlJ4leVT5TzM/2Pbo7es98RsZB5MkyhQ==
X-Received: by 2002:a5d:6cc5:: with SMTP id c5mr653012wrc.107.1630625394615;
 Thu, 02 Sep 2021 16:29:54 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id q85sm3006975wme.23.2021.09.02.16.29.53
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 02 Sep 2021 16:29:54 -0700 (PDT)
Subject: Re: bug#50340: Fix remote-location in vc-git-log-incoming
To: Juri Linkov <juri@HIDDEN>, 50340 <at> debbugs.gnu.org
References: <87k0jz9clq.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a113e085-a078-bd95-c8f0-13df3f1e82de@HIDDEN>
Date: Fri, 3 Sep 2021 02:29:52 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87k0jz9clq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50340
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 02.09.2021 19:16, Juri Linkov wrote:
> -  (vc-git-command nil 0 nil "fetch")
> +  (vc-git-command nil 0 nil "fetch" (unless (string= remote-location "")
> +                                      remote-location))

I'm not sure which scenario this fixes (pressing RET after 'C-u C-x v I' 
works fine here), but it shouldn't hurt either.

So if you have a stable repro (some alternative 
completing-read-function?), you can go ahead and install.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50340; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Sep 2021 16:17:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 12:17:36 2021
Received: from localhost ([127.0.0.1]:41888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLpPE-0002nb-Ar
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 12:17:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:58676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mLpPC-0002ma-TB
 for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 12:17:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36710)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mLpP9-00013Z-3n
 for bug-gnu-emacs@HIDDEN; Thu, 02 Sep 2021 12:17:31 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:32813)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mLpP5-0001tC-5L
 for bug-gnu-emacs@HIDDEN; Thu, 02 Sep 2021 12:17:30 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 655B1C0004
 for <bug-gnu-emacs@HIDDEN>; Thu,  2 Sep 2021 16:17:22 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Fix remote-location in vc-git-log-incoming
Organization: LINKOV.NET
Date: Thu, 02 Sep 2021 19:16:49 +0300
Message-ID: <87k0jz9clq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=217.70.183.198; envelope-from=juri@HIDDEN;
 helo=relay6-d.mail.gandi.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain

Tags: patch


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=vc-git-log-incoming-remote-location.patch

diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
index a9856ee40d..2ed5bdffcd 100644
--- a/lisp/vc/vc-git.el
+++ b/lisp/vc/vc-git.el
@@ -1218,7 +1218,8 @@ vc-git-log-outgoing
 
 (defun vc-git-log-incoming (buffer remote-location)
   (vc-setup-buffer buffer)
-  (vc-git-command nil 0 nil "fetch")
+  (vc-git-command nil 0 nil "fetch" (unless (string= remote-location "")
+                                      remote-location))
   (vc-git-command
    buffer 'async nil
    "log"

--=-=-=--




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50340; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Nov 2021 11:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.